{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
      {
        "name": "FileDirname",
        "type": "go",
        "request": "launch",
        "mode": "auto",
        "program": "${fileDirname}",
        "env": {},
        "args": []
      },
    //   {
    //     "name": "goroutine",
    //     "type": "go",
    //     "request": "launch",
    //     "mode": "auto",
    //     "cwd": "${workspaceFolder}\\01_goroutine",
    //     "program": "${workspaceFolder}\\01_goroutine\\main.go",
    //     "env": {},
    //     "args": []
    //   },
    //   {
    //     "name": "02_wait-group",
    //     "type": "go",
    //     "request": "launch",
    //     "mode": "auto",
    //     "cwd": "${workspaceFolder}\\02_wait-group",
    //     "program": "${workspaceFolder}\\02_wait-group\\main.go",
    //     "env": {},
    //     "args": []
    //   },
      {
        "name": "01_TutorialEdge",
        "type": "go",
        "request": "launch",
        "mode": "auto",
        "cwd": "${workspaceFolder}//01_TutorialEdge",
        "program": "${workspaceFolder}//01_TutorialEdge//server.go",
        "env": {},
        "args": []
      }
    ]
  }